DCMTK: DRTControlPointSequence::Item Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTControlPointSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTControlPointSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getBeamLimitingDeviceAngle (OFString &value, const signed long pos=0) const
| get BeamLimitingDeviceAngle (300a,0120)
OFCondition | getBeamLimitingDeviceAngle (Float64 &value, const unsigned long pos=0) const
| get BeamLimitingDeviceAngle (300a,0120)
OFCondition | getBeamLimitingDeviceRotationDirection (OFString &value, const signed long pos=0) const
| get BeamLimitingDeviceRotationDirection (300a,0121)
OFCondition | getControlPointIndex (OFString &value, const signed long pos=0) const
| get ControlPointIndex (300a,0112)
OFCondition | getControlPointIndex (Sint32 &value, const unsigned long pos=0) const
| get ControlPointIndex (300a,0112)
OFCondition | getCumulativeMetersetWeight (OFString &value, const signed long pos=0) const
| get CumulativeMetersetWeight (300a,0134)
OFCondition | getCumulativeMetersetWeight (Float64 &value, const unsigned long pos=0) const
| get CumulativeMetersetWeight (300a,0134)
OFCondition | getDoseRateSet (OFString &value, const signed long pos=0) const
| get DoseRateSet (300a,0115)
OFCondition | getDoseRateSet (Float64 &value, const unsigned long pos=0) const
| get DoseRateSet (300a,0115)
OFCondition | getExternalContourEntryPoint (Float32 &value, const unsigned long pos=0) const
| get ExternalContourEntryPoint (300a,0133)
OFCondition | getGantryAngle (OFString &value, const signed long pos=0) const
| get GantryAngle (300a,011e)
OFCondition | getGantryAngle (Float64 &value, const unsigned long pos=0) const
| get GantryAngle (300a,011e)
OFCondition | getGantryPitchAngle (Float32 &value, const unsigned long pos=0) const
| get GantryPitchAngle (300a,014a)
OFCondition | getGantryPitchRotationDirection (OFString &value, const signed long pos=0) const
| get GantryPitchRotationDirection (300a,014c)
OFCondition | getGantryRotationDirection (OFString &value, const signed long pos=0) const
| get GantryRotationDirection (300a,011f)
OFCondition | getIsocenterPosition (OFString &value, const signed long pos=0) const
| get IsocenterPosition (300a,012c)
OFCondition | getIsocenterPosition (Float64 &value, const unsigned long pos=0) const
| get IsocenterPosition (300a,012c)
OFCondition | getIsocenterPosition (OFVector< Float64 > &value) const
| get IsocenterPosition (300a,012c)
OFCondition | getNominalBeamEnergy (OFString &value, const signed long pos=0) const
| get NominalBeamEnergy (300a,0114)
OFCondition | getNominalBeamEnergy (Float64 &value, const unsigned long pos=0) const
| get NominalBeamEnergy (300a,0114)
OFCondition | getPatientSupportAngle (OFString &value, const signed long pos=0) const
| get PatientSupportAngle (300a,0122)
OFCondition | getPatientSupportAngle (Float64 &value, const unsigned long pos=0) const
| get PatientSupportAngle (300a,0122)
OFCondition | getPatientSupportRotationDirection (OFString &value, const signed long pos=0) const
| get PatientSupportRotationDirection (300a,0123)
OFCondition | getSourceToExternalContourDistance (Float32 &value, const unsigned long pos=0) const
| get SourceToExternalContourDistance (300a,0132)
OFCondition | getSourceToSurfaceDistance (OFString &value, const signed long pos=0) const
| get SourceToSurfaceDistance (300a,0130)
OFCondition | getSourceToSurfaceDistance (Float64 &value, const unsigned long pos=0) const
| get SourceToSurfaceDistance (300a,0130)
OFCondition | getSurfaceEntryPoint (OFString &value, const signed long pos=0) const
| get SurfaceEntryPoint (300a,012e)
OFCondition | getSurfaceEntryPoint (Float64 &value, const unsigned long pos=0) const
| get SurfaceEntryPoint (300a,012e)
OFCondition | getSurfaceEntryPoint (OFVector< Float64 > &value) const
| get SurfaceEntryPoint (300a,012e)
OFCondition | getTableTopEccentricAngle (OFString &value, const signed long pos=0) const
| get TableTopEccentricAngle (300a,0125)
OFCondition | getTableTopEccentricAngle (Float64 &value, const unsigned long pos=0) const
| get TableTopEccentricAngle (300a,0125)
OFCondition | getTableTopEccentricAxisDistance (OFString &value, const signed long pos=0) const
| get TableTopEccentricAxisDistance (300a,0124)
OFCondition | getTableTopEccentricAxisDistance (Float64 &value, const unsigned long pos=0) const
| get TableTopEccentricAxisDistance (300a,0124)
OFCondition | getTableTopEccentricRotationDirection (OFString &value, const signed long pos=0) const
| get TableTopEccentricRotationDirection (300a,0126)
OFCondition | getTableTopLateralPosition (OFString &value, const signed long pos=0) const
| get TableTopLateralPosition (300a,012a)
OFCondition | getTableTopLateralPosition (Float64 &value, const unsigned long pos=0) const
| get TableTopLateralPosition (300a,012a)
OFCondition | getTableTopLongitudinalPosition (OFString &value, const signed long pos=0) const
| get TableTopLongitudinalPosition (300a,0129)
OFCondition | getTableTopLongitudinalPosition (Float64 &value, const unsigned long pos=0) const
| get TableTopLongitudinalPosition (300a,0129)
OFCondition | getTableTopPitchAngle (Float32 &value, const unsigned long pos=0) const
| get TableTopPitchAngle (300a,0140)
OFCondition | getTableTopPitchRotationDirection (OFString &value, const signed long pos=0) const
| get TableTopPitchRotationDirection (300a,0142)
OFCondition | getTableTopRollAngle (Float32 &value, const unsigned long pos=0) const
| get TableTopRollAngle (300a,0144)
OFCondition | getTableTopRollRotationDirection (OFString &value, const signed long pos=0) const
| get TableTopRollRotationDirection (300a,0146)
OFCondition | getTableTopVerticalPosition (OFString &value, const signed long pos=0) const
| get TableTopVerticalPosition (300a,0128)
OFCondition | getTableTopVerticalPosition (Float64 &value, const unsigned long pos=0) const
| get TableTopVerticalPosition (300a,0128)
DRTBeamLimitingDevicePositionSequence & | getBeamLimitingDevicePositionSequence ()
| get BeamLimitingDevicePositionSequence (300a,011a)
const DRTBeamLimitingDevicePositionSequence & | getBeamLimitingDevicePositionSequence () const
| get BeamLimitingDevicePositionSequence (300a,011a)
DRTEnhancedRTBeamLimitingOpeningSequence & | getEnhancedRTBeamLimitingOpeningSequence ()
| get EnhancedRTBeamLimitingOpeningSequence (3008,00a2)
const DRTEnhancedRTBeamLimitingOpeningSequence & | getEnhancedRTBeamLimitingOpeningSequence () const
| get EnhancedRTBeamLimitingOpeningSequence (3008,00a2)
DRTReferencedDoseReferenceSequenceInRTBeamsModule & | getReferencedDoseReferenceSequence ()
| get ReferencedDoseReferenceSequence (300c,0050)
const DRTReferencedDoseReferenceSequenceInRTBeamsModule & | getReferencedDoseReferenceSequence () const
| get ReferencedDoseReferenceSequence (300c,0050)
DRTReferencedDoseSequence & | getReferencedDoseSequence ()
| get ReferencedDoseSequence (300c,0080)
const DRTReferencedDoseSequence & | getReferencedDoseSequence () const
| get ReferencedDoseSequence (300c,0080)
DRTWedgePositionSequence & | getWedgePositionSequence ()
| get WedgePositionSequence (300a,0116)
const DRTWedgePositionSequence & | getWedgePositionSequence () const
| get WedgePositionSequence (300a,0116)
OFCondition | setBeamLimitingDeviceAngle (const OFString &value, const OFBool check=OFTrue)
| set BeamLimitingDeviceAngle (300a,0120)
OFCondition | setBeamLimitingDeviceRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set BeamLimitingDeviceRotationDirection (300a,0121)
OFCondition | setControlPointIndex (const OFString &value, const OFBool check=OFTrue)
| set ControlPointIndex (300a,0112)
OFCondition | setCumulativeMetersetWeight (const OFString &value, const OFBool check=OFTrue)
| set CumulativeMetersetWeight (300a,0134)
OFCondition | setDoseRateSet (const OFString &value, const OFBool check=OFTrue)
| set DoseRateSet (300a,0115)
OFCondition | setExternalContourEntryPoint (const Float32 value, const unsigned long pos=0)
| set ExternalContourEntryPoint (300a,0133)
OFCondition | setGantryAngle (const OFString &value, const OFBool check=OFTrue)
| set GantryAngle (300a,011e)
OFCondition | setGantryPitchAngle (const Float32 value, const unsigned long pos=0)
| set GantryPitchAngle (300a,014a)
OFCondition | setGantryPitchRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set GantryPitchRotationDirection (300a,014c)
OFCondition | setGantryRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set GantryRotationDirection (300a,011f)
OFCondition | setIsocenterPosition (const OFString &value, const OFBool check=OFTrue)
| set IsocenterPosition (300a,012c)
OFCondition | setNominalBeamEnergy (const OFString &value, const OFBool check=OFTrue)
| set NominalBeamEnergy (300a,0114)
OFCondition | setPatientSupportAngle (const OFString &value, const OFBool check=OFTrue)
| set PatientSupportAngle (300a,0122)
OFCondition | setPatientSupportRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set PatientSupportRotationDirection (300a,0123)
OFCondition | setSourceToExternalContourDistance (const Float32 value, const unsigned long pos=0)
| set SourceToExternalContourDistance (300a,0132)
OFCondition | setSourceToSurfaceDistance (const OFString &value, const OFBool check=OFTrue)
| set SourceToSurfaceDistance (300a,0130)
OFCondition | setSurfaceEntryPoint (const OFString &value, const OFBool check=OFTrue)
| set SurfaceEntryPoint (300a,012e)
OFCondition | setTableTopEccentricAngle (const OFString &value, const OFBool check=OFTrue)
| set TableTopEccentricAngle (300a,0125)
OFCondition | setTableTopEccentricAxisDistance (const OFString &value, const OFBool check=OFTrue)
| set TableTopEccentricAxisDistance (300a,0124)
OFCondition | setTableTopEccentricRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set TableTopEccentricRotationDirection (300a,0126)
OFCondition | setTableTopLateralPosition (const OFString &value, const OFBool check=OFTrue)
| set TableTopLateralPosition (300a,012a)
OFCondition | setTableTopLongitudinalPosition (const OFString &value, const OFBool check=OFTrue)
| set TableTopLongitudinalPosition (300a,0129)
OFCondition | setTableTopPitchAngle (const Float32 value, const unsigned long pos=0)
| set TableTopPitchAngle (300a,0140)
OFCondition | setTableTopPitchRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set TableTopPitchRotationDirection (300a,0142)
OFCondition | setTableTopRollAngle (const Float32 value, const unsigned long pos=0)
| set TableTopRollAngle (300a,0144)
OFCondition | setTableTopRollRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set TableTopRollRotationDirection (300a,0146)
OFCondition | setTableTopVerticalPosition (const OFString &value, const OFBool check=OFTrue)
| set TableTopVerticalPosition (300a,0128)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDecimalString | BeamLimitingDeviceAngle
| BeamLimitingDeviceAngle (300a,0120) vr=DS, vm=1, type=1C.
DRTBeamLimitingDevicePositionSequence | BeamLimitingDevicePositionSequence
| BeamLimitingDevicePositionSequence (300a,011a) vr=SQ, vm=1, type=1C.
DcmCodeString | BeamLimitingDeviceRotationDirection
| BeamLimitingDeviceRotationDirection (300a,0121) vr=CS, vm=1, type=1C.
DcmIntegerString | ControlPointIndex
| ControlPointIndex (300a,0112) vr=IS, vm=1, type=1.
DcmDecimalString | CumulativeMetersetWeight
| CumulativeMetersetWeight (300a,0134) vr=DS, vm=1, type=2.
DcmDecimalString | DoseRateSet
| DoseRateSet (300a,0115) vr=DS, vm=1, type=3.
DRTEnhancedRTBeamLimitingOpeningSequence | EnhancedRTBeamLimitingOpeningSequence
| EnhancedRTBeamLimitingOpeningSequence (3008,00a2) vr=SQ, vm=1, type=2C.
DcmFloatingPointSingle | ExternalContourEntryPoint
| ExternalContourEntryPoint (300a,0133) vr=FL, vm=3, type=3.
DcmDecimalString | GantryAngle
| GantryAngle (300a,011e) vr=DS, vm=1, type=1C.
DcmFloatingPointSingle | GantryPitchAngle
| GantryPitchAngle (300a,014a) vr=FL, vm=1, type=3.
DcmCodeString | GantryPitchRotationDirection
| GantryPitchRotationDirection (300a,014c) vr=CS, vm=1, type=3.
DcmCodeString | GantryRotationDirection
| GantryRotationDirection (300a,011f) vr=CS, vm=1, type=1C.
DcmDecimalString | IsocenterPosition
| IsocenterPosition (300a,012c) vr=DS, vm=3, type=2C.
DcmDecimalString | NominalBeamEnergy
| NominalBeamEnergy (300a,0114) vr=DS, vm=1, type=3.
DcmDecimalString | PatientSupportAngle
| PatientSupportAngle (300a,0122) vr=DS, vm=1, type=1C.
DcmCodeString | PatientSupportRotationDirection
| PatientSupportRotationDirection (300a,0123) vr=CS, vm=1, type=1C.
DRTReferencedDoseReferenceSequenceInRTBeamsModule | ReferencedDoseReferenceSequence
| ReferencedDoseReferenceSequence (300c,0050) vr=SQ, vm=1, type=3.
DRTReferencedDoseSequence | ReferencedDoseSequence
| ReferencedDoseSequence (300c,0080) vr=SQ, vm=1, type=1C.
DcmFloatingPointSingle | SourceToExternalContourDistance
| SourceToExternalContourDistance (300a,0132) vr=FL, vm=1, type=3.
DcmDecimalString | SourceToSurfaceDistance
| SourceToSurfaceDistance (300a,0130) vr=DS, vm=1, type=3.
DcmDecimalString | SurfaceEntryPoint
| SurfaceEntryPoint (300a,012e) vr=DS, vm=3, type=3.
DcmDecimalString | TableTopEccentricAngle
| TableTopEccentricAngle (300a,0125) vr=DS, vm=1, type=1C.
DcmDecimalString | TableTopEccentricAxisDistance
| TableTopEccentricAxisDistance (300a,0124) vr=DS, vm=1, type=3.
DcmCodeString | TableTopEccentricRotationDirection
| TableTopEccentricRotationDirection (300a,0126) vr=CS, vm=1, type=1C.
DcmDecimalString | TableTopLateralPosition
| TableTopLateralPosition (300a,012a) vr=DS, vm=1, type=2C.
DcmDecimalString | TableTopLongitudinalPosition
| TableTopLongitudinalPosition (300a,0129) vr=DS, vm=1, type=2C.
DcmFloatingPointSingle | TableTopPitchAngle
| TableTopPitchAngle (300a,0140) vr=FL, vm=1, type=1C.
DcmCodeString | TableTopPitchRotationDirection
| TableTopPitchRotationDirection (300a,0142) vr=CS, vm=1, type=1C.
DcmFloatingPointSingle | TableTopRollAngle
| TableTopRollAngle (300a,0144) vr=FL, vm=1, type=1C.
DcmCodeString | TableTopRollRotationDirection
| TableTopRollRotationDirection (300a,0146) vr=CS, vm=1, type=1C.
DcmDecimalString | TableTopVerticalPosition
| TableTopVerticalPosition (300a,0128) vr=DS, vm=1, type=2C.
DRTWedgePositionSequence | WedgePositionSequence
| WedgePositionSequence (300a,0116) vr=SQ, vm=1, type=1C.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTControlPointSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTControlPointSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getBeamLimitingDeviceAngle() [1/2]

OFCondition DRTControlPointSequence::Item::getBeamLimitingDeviceAngle | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get BeamLimitingDeviceAngle (300a,0120)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamLimitingDeviceAngle() [2/2]

OFCondition DRTControlPointSequence::Item::getBeamLimitingDeviceAngle | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BeamLimitingDeviceAngle (300a,0120)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamLimitingDevicePositionSequence() [1/2]

DRTBeamLimitingDevicePositionSequence & DRTControlPointSequence::Item::getBeamLimitingDevicePositionSequence | ( |  | ) |
| inline

get BeamLimitingDevicePositionSequence (300a,011a)

Returns
  reference to sequence element

References BeamLimitingDevicePositionSequence.

## ◆ getBeamLimitingDevicePositionSequence() [2/2]

const DRTBeamLimitingDevicePositionSequence & DRTControlPointSequence::Item::getBeamLimitingDevicePositionSequence | ( |  | ) | const
| inline

get BeamLimitingDevicePositionSequence (300a,011a)

Returns
  const reference to sequence element

References BeamLimitingDevicePositionSequence.

## ◆ getBeamLimitingDeviceRotationDirection()

OFCondition DRTControlPointSequence::Item::getBeamLimitingDeviceRotationDirection | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BeamLimitingDeviceRotationDirection (300a,0121)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getControlPointIndex() [1/2]

OFCondition DRTControlPointSequence::Item::getControlPointIndex | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ControlPointIndex (300a,0112)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getControlPointIndex() [2/2]

OFCondition DRTControlPointSequence::Item::getControlPointIndex | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ControlPointIndex (300a,0112)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCumulativeMetersetWeight() [1/2]

OFCondition DRTControlPointSequence::Item::getCumulativeMetersetWeight | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get CumulativeMetersetWeight (300a,0134)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCumulativeMetersetWeight() [2/2]

OFCondition DRTControlPointSequence::Item::getCumulativeMetersetWeight | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CumulativeMetersetWeight (300a,0134)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseRateSet() [1/2]

OFCondition DRTControlPointSequence::Item::getDoseRateSet | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get DoseRateSet (300a,0115)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseRateSet() [2/2]

OFCondition DRTControlPointSequence::Item::getDoseRateSet | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DoseRateSet (300a,0115)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getEnhancedRTBeamLimitingOpeningSequence() [1/2]

DRTEnhancedRTBeamLimitingOpeningSequence & DRTControlPointSequence::Item::getEnhancedRTBeamLimitingOpeningSequence | ( |  | ) |
| inline

get EnhancedRTBeamLimitingOpeningSequence (3008,00a2)

Returns
  reference to sequence element

References EnhancedRTBeamLimitingOpeningSequence.

## ◆ getEnhancedRTBeamLimitingOpeningSequence() [2/2]

const DRTEnhancedRTBeamLimitingOpeningSequence & DRTControlPointSequence::Item::getEnhancedRTBeamLimitingOpeningSequence | ( |  | ) | const
| inline

get EnhancedRTBeamLimitingOpeningSequence (3008,00a2)

Returns
  const reference to sequence element

References EnhancedRTBeamLimitingOpeningSequence.

## ◆ getExternalContourEntryPoint()

OFCondition DRTControlPointSequence::Item::getExternalContourEntryPoint | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get ExternalContourEntryPoint (300a,0133)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryAngle() [1/2]

OFCondition DRTControlPointSequence::Item::getGantryAngle | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get GantryAngle (300a,011e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryAngle() [2/2]

OFCondition DRTControlPointSequence::Item::getGantryAngle | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get GantryAngle (300a,011e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryPitchAngle()

OFCondition DRTControlPointSequence::Item::getGantryPitchAngle | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get GantryPitchAngle (300a,014a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryPitchRotationDirection()

OFCondition DRTControlPointSequence::Item::getGantryPitchRotationDirection | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get GantryPitchRotationDirection (300a,014c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryRotationDirection()

OFCondition DRTControlPointSequence::Item::getGantryRotationDirection | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get GantryRotationDirection (300a,011f)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getIsocenterPosition() [1/3]

OFCondition DRTControlPointSequence::Item::getIsocenterPosition | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get IsocenterPosition (300a,012c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getIsocenterPosition() [2/3]

OFCondition DRTControlPointSequence::Item::getIsocenterPosition | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get IsocenterPosition (300a,012c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getIsocenterPosition() [3/3]

OFCondition DRTControlPointSequence::Item::getIsocenterPosition | ( | OFVector< Float64 > & | value | ) | const

get IsocenterPosition (300a,012c)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNominalBeamEnergy() [1/2]

OFCondition DRTControlPointSequence::Item::getNominalBeamEnergy | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get NominalBeamEnergy (300a,0114)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNominalBeamEnergy() [2/2]

OFCondition DRTControlPointSequence::Item::getNominalBeamEnergy | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NominalBeamEnergy (300a,0114)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSupportAngle() [1/2]

OFCondition DRTControlPointSequence::Item::getPatientSupportAngle | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get PatientSupportAngle (300a,0122)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSupportAngle() [2/2]

OFCondition DRTControlPointSequence::Item::getPatientSupportAngle | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PatientSupportAngle (300a,0122)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSupportRotationDirection()

OFCondition DRTControlPointSequence::Item::getPatientSupportRotationDirection | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PatientSupportRotationDirection (300a,0123)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedDoseReferenceSequence() [1/2]

DRTReferencedDoseReferenceSequenceInRTBeamsModule & DRTControlPointSequence::Item::getReferencedDoseReferenceSequence | ( |  | ) |
| inline

get ReferencedDoseReferenceSequence (300c,0050)

Returns
  reference to sequence element

References ReferencedDoseReferenceSequence.

## ◆ getReferencedDoseReferenceSequence() [2/2]

const DRTReferencedDoseReferenceSequenceInRTBeamsModule & DRTControlPointSequence::Item::getReferencedDoseReferenceSequence | ( |  | ) | const
| inline

get ReferencedDoseReferenceSequence (300c,0050)

Returns
  const reference to sequence element

References ReferencedDoseReferenceSequence.

## ◆ getReferencedDoseSequence() [1/2]

DRTReferencedDoseSequence & DRTControlPointSequence::Item::getReferencedDoseSequence | ( |  | ) |
| inline

get ReferencedDoseSequence (300c,0080)

Returns
  reference to sequence element

References ReferencedDoseSequence.

## ◆ getReferencedDoseSequence() [2/2]

const DRTReferencedDoseSequence & DRTControlPointSequence::Item::getReferencedDoseSequence | ( |  | ) | const
| inline

get ReferencedDoseSequence (300c,0080)

Returns
  const reference to sequence element

References ReferencedDoseSequence.

## ◆ getSourceToExternalContourDistance()

OFCondition DRTControlPointSequence::Item::getSourceToExternalContourDistance | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get SourceToExternalContourDistance (300a,0132)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceToSurfaceDistance() [1/2]

OFCondition DRTControlPointSequence::Item::getSourceToSurfaceDistance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get SourceToSurfaceDistance (300a,0130)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceToSurfaceDistance() [2/2]

OFCondition DRTControlPointSequence::Item::getSourceToSurfaceDistance | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceToSurfaceDistance (300a,0130)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSurfaceEntryPoint() [1/3]

OFCondition DRTControlPointSequence::Item::getSurfaceEntryPoint | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get SurfaceEntryPoint (300a,012e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSurfaceEntryPoint() [2/3]

OFCondition DRTControlPointSequence::Item::getSurfaceEntryPoint | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SurfaceEntryPoint (300a,012e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSurfaceEntryPoint() [3/3]

OFCondition DRTControlPointSequence::Item::getSurfaceEntryPoint | ( | OFVector< Float64 > & | value | ) | const

get SurfaceEntryPoint (300a,012e)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopEccentricAngle() [1/2]

OFCondition DRTControlPointSequence::Item::getTableTopEccentricAngle | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopEccentricAngle (300a,0125)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopEccentricAngle() [2/2]

OFCondition DRTControlPointSequence::Item::getTableTopEccentricAngle | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopEccentricAngle (300a,0125)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopEccentricAxisDistance() [1/2]

OFCondition DRTControlPointSequence::Item::getTableTopEccentricAxisDistance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopEccentricAxisDistance (300a,0124)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopEccentricAxisDistance() [2/2]

OFCondition DRTControlPointSequence::Item::getTableTopEccentricAxisDistance | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopEccentricAxisDistance (300a,0124)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopEccentricRotationDirection()

OFCondition DRTControlPointSequence::Item::getTableTopEccentricRotationDirection | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopEccentricRotationDirection (300a,0126)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLateralPosition() [1/2]

OFCondition DRTControlPointSequence::Item::getTableTopLateralPosition | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopLateralPosition (300a,012a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLateralPosition() [2/2]

OFCondition DRTControlPointSequence::Item::getTableTopLateralPosition | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopLateralPosition (300a,012a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLongitudinalPosition() [1/2]

OFCondition DRTControlPointSequence::Item::getTableTopLongitudinalPosition | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopLongitudinalPosition (300a,0129)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLongitudinalPosition() [2/2]

OFCondition DRTControlPointSequence::Item::getTableTopLongitudinalPosition | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopLongitudinalPosition (300a,0129)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopPitchAngle()

OFCondition DRTControlPointSequence::Item::getTableTopPitchAngle | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopPitchAngle (300a,0140)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopPitchRotationDirection()

OFCondition DRTControlPointSequence::Item::getTableTopPitchRotationDirection | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopPitchRotationDirection (300a,0142)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopRollAngle()

OFCondition DRTControlPointSequence::Item::getTableTopRollAngle | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopRollAngle (300a,0144)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopRollRotationDirection()

OFCondition DRTControlPointSequence::Item::getTableTopRollRotationDirection | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopRollRotationDirection (300a,0146)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopVerticalPosition() [1/2]

OFCondition DRTControlPointSequence::Item::getTableTopVerticalPosition | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopVerticalPosition (300a,0128)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopVerticalPosition() [2/2]

OFCondition DRTControlPointSequence::Item::getTableTopVerticalPosition | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopVerticalPosition (300a,0128)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getWedgePositionSequence() [1/2]

DRTWedgePositionSequence & DRTControlPointSequence::Item::getWedgePositionSequence | ( |  | ) |
| inline

get WedgePositionSequence (300a,0116)

Returns
  reference to sequence element

References WedgePositionSequence.

## ◆ getWedgePositionSequence() [2/2]

const DRTWedgePositionSequence & DRTControlPointSequence::Item::getWedgePositionSequence | ( |  | ) | const
| inline

get WedgePositionSequence (300a,0116)

Returns
  const reference to sequence element

References WedgePositionSequence.

## ◆ isEmpty()

OFBool DRTControlPointSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTControlPointSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTControlPointSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTControlPointSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamLimitingDeviceAngle()

OFCondition DRTControlPointSequence::Item::setBeamLimitingDeviceAngle | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BeamLimitingDeviceAngle (300a,0120)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamLimitingDeviceRotationDirection()

OFCondition DRTControlPointSequence::Item::setBeamLimitingDeviceRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BeamLimitingDeviceRotationDirection (300a,0121)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setControlPointIndex()

OFCondition DRTControlPointSequence::Item::setControlPointIndex | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ControlPointIndex (300a,0112)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCumulativeMetersetWeight()

OFCondition DRTControlPointSequence::Item::setCumulativeMetersetWeight | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CumulativeMetersetWeight (300a,0134)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDoseRateSet()

OFCondition DRTControlPointSequence::Item::setDoseRateSet | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DoseRateSet (300a,0115)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setExternalContourEntryPoint()

OFCondition DRTControlPointSequence::Item::setExternalContourEntryPoint | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set ExternalContourEntryPoint (300a,0133)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=3

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGantryAngle()

OFCondition DRTControlPointSequence::Item::setGantryAngle | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set GantryAngle (300a,011e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGantryPitchAngle()

OFCondition DRTControlPointSequence::Item::setGantryPitchAngle | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set GantryPitchAngle (300a,014a)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGantryPitchRotationDirection()

OFCondition DRTControlPointSequence::Item::setGantryPitchRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set GantryPitchRotationDirection (300a,014c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGantryRotationDirection()

OFCondition DRTControlPointSequence::Item::setGantryRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set GantryRotationDirection (300a,011f)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setIsocenterPosition()

OFCondition DRTControlPointSequence::Item::setIsocenterPosition | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set IsocenterPosition (300a,012c)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (3) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNominalBeamEnergy()

OFCondition DRTControlPointSequence::Item::setNominalBeamEnergy | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NominalBeamEnergy (300a,0114)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientSupportAngle()

OFCondition DRTControlPointSequence::Item::setPatientSupportAngle | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PatientSupportAngle (300a,0122)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientSupportRotationDirection()

OFCondition DRTControlPointSequence::Item::setPatientSupportRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PatientSupportRotationDirection (300a,0123)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceToExternalContourDistance()

OFCondition DRTControlPointSequence::Item::setSourceToExternalContourDistance | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set SourceToExternalContourDistance (300a,0132)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceToSurfaceDistance()

OFCondition DRTControlPointSequence::Item::setSourceToSurfaceDistance | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceToSurfaceDistance (300a,0130)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSurfaceEntryPoint()

OFCondition DRTControlPointSequence::Item::setSurfaceEntryPoint | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SurfaceEntryPoint (300a,012e)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (3) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopEccentricAngle()

OFCondition DRTControlPointSequence::Item::setTableTopEccentricAngle | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopEccentricAngle (300a,0125)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopEccentricAxisDistance()

OFCondition DRTControlPointSequence::Item::setTableTopEccentricAxisDistance | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopEccentricAxisDistance (300a,0124)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopEccentricRotationDirection()

OFCondition DRTControlPointSequence::Item::setTableTopEccentricRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopEccentricRotationDirection (300a,0126)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopLateralPosition()

OFCondition DRTControlPointSequence::Item::setTableTopLateralPosition | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopLateralPosition (300a,012a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopLongitudinalPosition()

OFCondition DRTControlPointSequence::Item::setTableTopLongitudinalPosition | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopLongitudinalPosition (300a,0129)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopPitchAngle()

OFCondition DRTControlPointSequence::Item::setTableTopPitchAngle | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set TableTopPitchAngle (300a,0140)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopPitchRotationDirection()

OFCondition DRTControlPointSequence::Item::setTableTopPitchRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopPitchRotationDirection (300a,0142)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopRollAngle()

OFCondition DRTControlPointSequence::Item::setTableTopRollAngle | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set TableTopRollAngle (300a,0144)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopRollRotationDirection()

OFCondition DRTControlPointSequence::Item::setTableTopRollRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopRollRotationDirection (300a,0146)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopVerticalPosition()

OFCondition DRTControlPointSequence::Item::setTableTopVerticalPosition | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopVerticalPosition (300a,0128)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTControlPointSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtcps.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2